Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.AreaOfInterestOverlay

    java.lang.Object
      org.apache.batik.apps.svgbrowser.ThumbnailDialog.AreaOfInterestOverlay

All Implemented Interfaces:
  Overlay

Enclosing class:
  ThumbnailDialog

    protected class ThumbnailDialog.AreaOfInterestOverlay

extends Object
implements Overlay

An overlay that represents the current area of interest.

Field Summary
`protected AffineTransform` | `at`
`protected AffineTransform` | `paintingTransform`
`protected Shape` | `s`

Constructor Summary
`protected` | `ThumbnailDialog.AreaOfInterestOverlay()`

Method Summary
`boolean` | `contains(int x, int y)`
`AffineTransform` | `getOverlayTransform()`
`AffineTransform` | `getPaintingTransform()`
`void` | `paint(Graphics g)` Paints this overlay.
`void` | `setPaintingTransform(AffineTransform rt)`
`void` | `synchronizeAreaOfInterest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s

    protected Shape s

### at

    protected AffineTransform at

### paintingTransform

    protected AffineTransform paintingTransform

Constructor Detail

### ThumbnailDialog.AreaOfInterestOverlay

    protected ThumbnailDialog.AreaOfInterestOverlay()

Method Detail

### contains

    public boolean contains(int x,
                            int y)

### getOverlayTransform

    public AffineTransform getOverlayTransform()

### setPaintingTransform

    public void setPaintingTransform(AffineTransform rt)

### getPaintingTransform

    public AffineTransform getPaintingTransform()

### synchronizeAreaOfInterest

    public void synchronizeAreaOfInterest()

### paint

    public void paint(Graphics g)

  Description copied from interface: `Overlay`
  Paints this overlay.

  Specified by:
    `paint` in interface `Overlay`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.